class WidgetDocumentation

This file provides property and method documentation for the model widget.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Widgets\Docs\ClassGenerated\Model\WidgetDocumentation to the model to get access to the properties.

Properties

int $id
string $name_i18n:

stored in MySQL as varchar

string $description_i18n:

stored in MySQL as text

string $link:

stored in MySQL as text

string $icon:

stored in MySQL as varchar

int $sort
int $category_id
int $new_tab
int $active
int $created_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

Methods

Widget[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Widget[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 35
Widget[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

Widget[]

at line 35
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 35
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 35
Widget[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Widget[]

at line 35
Widget find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

Widget